Loading...
Searching...
No Matches
gtsam::detail::NoiseModelFactorAliases< typename,... > Struct Template Reference

## Detailed Description

template<typename, typename...>
struct gtsam::detail::NoiseModelFactorAliases< typename,... >

Convenience base class to add aliases X1, X2, ..., X6 -> ValueType<N>.

Usage example:

class MyFactor : public NoiseModelFactorN<Pose3, Point3>,
public NoiseModelFactorAliases<Pose3, Point3> {
// class implementation ...
};
// MyFactor::X1 == Pose3
// MyFactor::X2 == Point3
gtsam::detail::NoiseModelFactorAliases
Convenience base class to add aliases X1, X2, ..., X6 -> ValueType<N>.
Definition NonlinearFactor.h:300
gtsam::NoiseModelFactorN
A convenient base class for creating your own NoiseModelFactor with n variables.
Definition NonlinearFactor.h:400

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/nonlinear/NonlinearFactor.h